elhacker.net cabecera Bienvenido(a), Visitante. Por favor Ingresar o Registrarse
¿Perdiste tu email de activación?.

 

 


Tema destacado: Usando Git para manipular el directorio de trabajo, el índice y commits (segunda parte)


+  Foro de elhacker.net
|-+  Programación
| |-+  Desarrollo Web
| | |-+  PHP (Moderador: #!drvy)
| | | |-+  No puedo instalar PDO en mi ubuntu
0 Usuarios y 1 Visitante están viendo este tema.
Páginas: [1] Ir Abajo Respuesta Imprimir
Autor Tema: No puedo instalar PDO en mi ubuntu  (Leído 4,142 veces)
Shell Root
Moderador Global
***
Desconectado Desconectado

Mensajes: 3.723


Swif EME


Ver Perfil WWW
No puedo instalar PDO en mi ubuntu
« en: 3 Junio 2011, 06:16 am »

Quiero aprender esto de PDO, pero no lo tengo instalado y mirando en la red(http://www.clubdesarrolladores.com/articulos/mostrar/64-pdo-php-data-objects#t1), explican como hacerlo, pero me sale un error del coño.
Código
  1. config.status: executing libtool commands
  2. running: make
  3. /bin/bash /tmp/pear/temp/pear-build-root36vzn0/PDO-1.0.3/libtool --mode=compile cc  -I. -I/tmp/pear/temp/PDO -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-root36vzn0/PDO-1.0.3/include -I/tmp/pear/temp/pear-build-root36vzn0/PDO-1.0.3/main -I/tmp/pear/temp/PDO -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -I/usr/include/php5/ext/date/lib -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -DHAVE_CONFIG_H  -g -O2   -c /tmp/pear/temp/PDO/pdo.c -o pdo.lo
  4. libtool: compile:  cc -I. -I/tmp/pear/temp/PDO -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-root36vzn0/PDO-1.0.3/include -I/tmp/pear/temp/pear-build-root36vzn0/PDO-1.0.3/main -I/tmp/pear/temp/PDO -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -I/usr/include/php5/ext/date/lib -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/temp/PDO/pdo.c  -fPIC -DPIC -o .libs/pdo.o
  5. /bin/bash /tmp/pear/temp/pear-build-root36vzn0/PDO-1.0.3/libtool --mode=compile cc  -I. -I/tmp/pear/temp/PDO -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-root36vzn0/PDO-1.0.3/include -I/tmp/pear/temp/pear-build-root36vzn0/PDO-1.0.3/main -I/tmp/pear/temp/PDO -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -I/usr/include/php5/ext/date/lib -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -DHAVE_CONFIG_H  -g -O2   -c /tmp/pear/temp/PDO/pdo_dbh.c -o pdo_dbh.lo
  6. libtool: compile:  cc -I. -I/tmp/pear/temp/PDO -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-root36vzn0/PDO-1.0.3/include -I/tmp/pear/temp/pear-build-root36vzn0/PDO-1.0.3/main -I/tmp/pear/temp/PDO -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -I/usr/include/php5/ext/date/lib -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/temp/PDO/pdo_dbh.c  -fPIC -DPIC -o .libs/pdo_dbh.o
  7. /tmp/pear/temp/PDO/pdo_dbh.c: In function ‘pdo_stmt_instantiate’:
  8. /tmp/pear/temp/PDO/pdo_dbh.c:410:8: error: ‘zval’ has no member named ‘refcount’
  9. /tmp/pear/temp/PDO/pdo_dbh.c:411:8: error: ‘zval’ has no member named ‘is_ref’
  10. /tmp/pear/temp/PDO/pdo_dbh.c: In function ‘pdo_stmt_construct’:
  11. /tmp/pear/temp/PDO/pdo_dbh.c:435:6: error: ‘zend_fcall_info’ has no member named ‘object_pp’
  12. /tmp/pear/temp/PDO/pdo_dbh.c:458:6: error: ‘zend_fcall_info_cache’ has no member named ‘object_pp’
  13. /tmp/pear/temp/PDO/pdo_dbh.c: In function ‘zim_PDO_setAttribute’:
  14. /tmp/pear/temp/PDO/pdo_dbh.c:752:12: error: ‘zval’ has no member named ‘refcount’
  15. /tmp/pear/temp/PDO/pdo_dbh.c: In function ‘zim_PDO_getAttribute’:
  16. /tmp/pear/temp/PDO/pdo_dbh.c:818:28: error: ‘zval’ has no member named ‘refcount’
  17. /tmp/pear/temp/PDO/pdo_dbh.c: In function ‘pdo_hash_methods’:
  18. /tmp/pear/temp/PDO/pdo_dbh.c:1122:24: warning: assignment discards qualifiers from pointer target type
  19. /tmp/pear/temp/PDO/pdo_dbh.c:1126:20: warning: assignment discards qualifiers from pointer target type
  20. make: *** [pdo_dbh.lo] Error 1
  21. ERROR: `make' failed


En línea

Por eso no duermo, por si tras mi ventana hay un cuervo. Cuelgo de hilos sueltos sabiendo que hay veneno en el aire.
Nakp
casi es
Ex-Staff
*
Desconectado Desconectado

Mensajes: 6.336

he vuelto :)


Ver Perfil WWW
Re: No puedo instalar PDO en mi ubuntu
« Respuesta #1 en: 3 Junio 2011, 06:35 am »

tienes ubuntu.. por que no simplemente descargas las extensiones con aptitude? xD estas compilando todo?


En línea

Ojo por ojo, y el mundo acabará ciego.
Shell Root
Moderador Global
***
Desconectado Desconectado

Mensajes: 3.723


Swif EME


Ver Perfil WWW
Re: No puedo instalar PDO en mi ubuntu
« Respuesta #2 en: 3 Junio 2011, 06:42 am »

Pero no se, esto esta de la p**a madre ¬¬!

Tengo esto,
Código
  1. shellroot@alex:~/Escritorio$ php -m | grep pdo
  2. pdo_mysql
  3. pdo_pgsql
  4. pdo_sqlite
En línea

Por eso no duermo, por si tras mi ventana hay un cuervo. Cuelgo de hilos sueltos sabiendo que hay veneno en el aire.
~ Yoya ~
Wiki

Desconectado Desconectado

Mensajes: 1.125



Ver Perfil
Re: No puedo instalar PDO en mi ubuntu
« Respuesta #3 en: 3 Junio 2011, 15:34 pm »

Agrega la ruta al archivo php.ini, te recomiendo que revises que el modulo este instalado desde el php.ini

Código
  1. <?php
  2.  
  3.  
  4. ?>
En línea

Mi madre me dijo que estoy destinado a ser pobre toda la vida.
Engineering is the art of balancing the benefits and drawbacks of any approach.
Nakp
casi es
Ex-Staff
*
Desconectado Desconectado

Mensajes: 6.336

he vuelto :)


Ver Perfil WWW
Re: No puedo instalar PDO en mi ubuntu
« Respuesta #4 en: 3 Junio 2011, 16:10 pm »

con instalar php5-mysql php5-labasededatos te instala las extensiones pdo :P

Paquete: php5-mysql 
Estado: instalado
Instalado automáticamente: no
Versión: 5.3.5-1ubuntu7.2
Prioridad: opcional
Sección: web
Desarrollador: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Tamaño sin comprimir: 250 k
Depende de: libc6 (>= 2.4), libmysqlclient16 (>= 5.1.21-1),
 phpapi-20090626+lfs, php5-common (=
 5.3.5-1ubuntu7.2)
Tiene conflictos con: php5-mysqli
Reemplaza: php5-mysqli
Descripción: MySQL module for php5
 This package provides modules for MySQL database connections
 directly from PHP scripts. It includes the generic "mysql"
 module which can be used to connect to all versions of MySQL,
 an improved "mysqli" module for MySQL version 4.1 or later, and
the pdo_mysql module for use with the PHP Data Object
extension.
 
 PHP5 is a widely-used general-purpose scripting language that
 is especially suited for Web development and can be embedded
 into HTML. The goal of the language is to allow web developers
 to write dynamically generated pages quickly. This version of
 PHP5 was built with the Suhosin patch.
Página de inicio: http://www.php.net/

En línea

Ojo por ojo, y el mundo acabará ciego.
Páginas: [1] Ir Arriba Respuesta Imprimir 

Ir a:  

Mensajes similares
Asunto Iniciado por Respuestas Vistas Último mensaje
No puedo instalar driver en ubuntu
GNU/Linux
franfis 1 3,569 Último mensaje 31 Julio 2010, 21:08 pm
por rastanthology
No puedo instalar Ubuntu junto a Windows 7
GNU/Linux
ERIK546 5 6,233 Último mensaje 5 Julio 2012, 05:50 am
por dato000
no puedo instalar testdisk en mi ubuntu 12.04
GNU/Linux
amarolomo56 0 2,262 Último mensaje 19 Julio 2013, 22:33 pm
por amarolomo56
(Solucionado) No puedo instalar Ubuntu 13.10
GNU/Linux
dennis094 0 1,177 Último mensaje 13 Enero 2014, 23:11 pm
por dennis094
No puedo instalar Wine en Ubuntu 10.10 « 1 2 »
GNU/Linux
okik 10 4,720 Último mensaje 16 Julio 2016, 11:59 am
por okik
WAP2 - Aviso Legal - Powered by SMF 1.1.21 | SMF © 2006-2008, Simple Machines